Bug 1409403 - Does not recognize 'ber' locale
Summary: Does not recognize 'ber' locale
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: iso-codes
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 19:20 UTC by Björn 'besser82' Esser
Modified: 2020-07-24 22:35 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-01-01 19:20:46 UTC
Description of problem:

  Rpmlint does not recognize 'ber' locale.


Version-Release number of selected component (if applicable):

  rpmlint-1.9-6.fc26


How reproducible:

  100%


Steps to Reproduce:

  1.  Run rpmlint on a package providing 'ber'-locale.


Actual results:

  E: invalid-lc-messages-dir /usr/share/locale/ber/LC_MESSAGES/


Expected results:

  Should be recognized as valid locale, since filesystem-package ships this.


Additional info:

  'ber' is a valid ISO 639-2 and ISO 639-5 language code.
  See:  https://en.wikipedia.org/wiki/List_of_ISO_639-2_codes#B

Comment 1 Ville Skyttä 2017-01-02 08:46:04 UTC
rpmlint's list of valid locale names is generated from the files shipped by (upstream) iso-codes, so problems with the data in it should be reported and fixed there.

Comment 2 Fedora End Of Life 2017-02-28 10:51:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Mike FABIAN 2017-12-06 07:27:04 UTC
Seems to still exist in Fedora 27.

Comment 4 Ben Cotton 2019-02-19 17:12:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.